vla-object type...

Discussion in 'AutoCAD' started by Devin, Aug 9, 2004.

  1. Devin

    Devin Guest

    What is the way to find out the type of object that you have, ie: line arc
    polyline circle, etc?

    Thanks,

    Devin
     
    Devin, Aug 9, 2004
    #1
  2. Devin

    T.Willey Guest

    (vlax-dump-object "objecthere" t)

    This is like entget.

    Tim
     
    T.Willey, Aug 9, 2004
    #2
  3. Devin

    James Allen Guest

    How about vla-get-objectname or dxf assoc 0?
     
    James Allen, Aug 9, 2004
    #3
  4. Devin

    MP Guest

    if you were in vb, you could use typeof
    If TypeOf (vobj) Is AcadLine then
    ....

    but as far as I know in lisp you can only read the objectname
    (cond
    (
    (= "AcDbLine"(vlax-get-property vobj 'Objectname))
    ....
    )
    (= "AcDbArc"(...etc

    );cond
     
    MP, Aug 9, 2004
    #4
  5. Devin

    Devin Guest

    Thanks James, that was what I needed.
     
    Devin, Aug 9, 2004
    #5
  6. Devin

    James Allen Guest

    Cool. :) James
     
    James Allen, Aug 9, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.